Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class document_properties
        Inherits System.Web.UI.Page

        Protected Sub BtnCreatePdf_Click(sender As Object, e As EventArgs)
            ' create a new pdf document
            Dim doc As New PdfDocument()

            ' add a new page to the document
            Dim page As PdfPage = doc.AddPage()

            ' create a new pdf font
            Dim font As PdfFont = doc.AddFont(PdfStandardFont.Helvetica)
            font.Size = 20

            ' create a new text element and add it to the page
            Dim text As New PdfTextElement(50, 50, _
                "Select.Pdf for .NET - Document Properties Sample", font)
            page.Add(text)

            ' set the document properties
            doc.DocumentInformation.Title = "Select.Pdf for .NET Sample"
            doc.DocumentInformation.Author = "Select.Pdf Samples"
            doc.DocumentInformation.Subject = "Select.Pdf Library Samples"
            doc.DocumentInformation.Keywords = "pdf library, sample code"
            doc.DocumentInformation.CreationDate = DateTime.Now

            ' save pdf document
            doc.Save(Response, False, "Sample.pdf")

            ' close pdf document
            doc.Close()
        End Sub
    End Class
End Namespace
